namespace eval ::apache1.3:: {}

proc ::apache1.3::parse_php3_auto_append_file {text parser dirDef xmlConf currentContainer} {
    set xuiObj [apacheparserutils::getOrCreateIfNotExists php3_auto_append_file \
            $dirDef $xmlConf $currentContainer]   
    set value [lindex $text 1]
    switch [string tolower $value] {
       none {
	  $xuiObj selectComponentByName none
       } default {
	  $xuiObj selectComponentByName file
          $xuiObj.file setValue $value	  
       }
    }
}


proc ::apache1.3::dump_php3_auto_append_file {xuiObj} {
    set value [[$xuiObj getSelectedComponent] getValue]
    return "php3_auto_append_file $value\n"
}


proc ::apache1.3::parse_php3_auto_prepend_file {text parser dirDef xmlConf currentContainer} {
    set xuiObj [apacheparserutils::getOrCreateIfNotExists php3_auto_prepend_file \
            $dirDef $xmlConf $currentContainer]   
    set value [lindex $text 1]
    switch [string tolower $value] {
       none {
	  $xuiObj selectComponentByName none
       } default {
	  $xuiObj selectComponentByName file
          $xuiObj.file setValue $value	  
       }
    }
}


proc ::apache1.3::dump_php3_auto_prepend_file {xuiObj} {
    set value [[$xuiObj getSelectedComponent] getValue]    
    return "php3_auto_prepend_file $value\n"
}

proc ::apache1.3::parse_php3_error_log {text parser dirDef xmlConf currentContainer} {
    set xuiObj [apacheparserutils::getOrCreateIfNotExists php3_error_log \
            $dirDef $xmlConf $currentContainer]   
    set value [lindex $text 1]
    switch [string tolower $value] {
       none {
	  $xuiObj selectComponentByName syslog
       } default {
	  $xuiObj selectComponentByName file
          $xuiObj.file setValue $value	  
       }
    }
}


proc ::apache1.3::dump_php3_error_log {xuiObj} {
    set value [[$xuiObj getSelectedComponent] getValue]
    return "php3_error_log $value\n"
}

proc ::apache1.3::parse_php3_open_basedir {text parser dirDef xmlConf currentContainer} {
    set xuiObj [apacheparserutils::getOrCreateIfNotExists php3_open_basedir \
            $dirDef $xmlConf $currentContainer]   
    global tcl_platform
    switch $tcl_platform(platform) {
       windows {
	  set separator {;}
       } default {
	   set separator :
       }
    }
    foreach element [split [lrange $text 1 end] $separator] {
        set child [$xuiObj newChild]
	$child setValue $element
	$xuiObj insertChild $child
    }
}


proc ::apache1.3::dump_php3_open_basedir {xuiObj} {
   global tcl_platform
   switch $tcl_platform(platform) {
       windows {
	  set separator {;}
       } default {
	   set separator :
       }
    }
    set values {}
    foreach child [$xuiObj getChildren] {
        lappend values [$child getValue]
    }
    set result [join $values $separator]
    if [llength $result] {
        return "php3_open_basedir $result\n"
    }
    return
}




proc ::apache1.3::parse_php3_include_path {text parser dirDef xmlConf currentContainer} {
    set xuiObj [apacheparserutils::getOrCreateIfNotExists php3_include_path \
            $dirDef $xmlConf $currentContainer]   
    global tcl_platform
    switch $tcl_platform(platform) {
       windows {
	  set separator {;}
       } default {
	   set separator :
       }
    }
    foreach element [split [lrange $text 1 end] $separator] {
        set child [$xuiObj newChild]
	
	# Split fscks up quted filenames
	
	regsub {\\\"} $element {"} result
	$child setValue $result
	$xuiObj insertChild $child
    }
}


proc ::apache1.3::dump_php3_include_path {xuiObj} {
   global tcl_platform
   switch $tcl_platform(platform) {
       windows {
	  set separator {;}
       } default {
	   set separator :
       }
    }
    set values {}
    foreach child [$xuiObj getChildren] {
        lappend values [$child getValue]
    }
    set result [join $values $separator]
    if [llength $result] {
        return "php3_include_path $result\n"
    }
    return
}



